> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Llm Profile

> Get an LLM profile



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json get /assistant/api/v1/tenants/{tenant}/llm_profiles/{profile_id}
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/llm_profiles/{profile_id}:
    get:
      tags:
        - llm_profile
      summary: Get Llm Profile
      description: Get an LLM profile
      operationId: >-
        get_llm_profile_assistant_api_v1_tenants__tenant__llm_profiles__profile_id__get
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            title: Profile Id
        - name: tenant
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LlmProfile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LlmProfile:
      properties:
        id:
          type: string
          title: Id
          description: >-
            Profile ID: `system.<tier>` for system profiles, a UUID for custom
            profiles.
        name:
          type: string
          title: Name
          description: Name. System profile names are localized for the user.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the profile.
        system:
          type: boolean
          title: System
          description: Whether AIDA maintains the profile.
        provider:
          $ref: '#/components/schemas/LlmProvider'
          description: >-
            Provider of the model. For a system profile, the selection resolved
            for the tenant, or the tenant default when it is unavailable.
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: >-
            Completion model ID. For a system profile, the selection resolved
            for the tenant, or the tenant default when it is unavailable. Null
            only when the tenant default model cannot be determined.
        reasoning_effort:
          anyOf:
            - type: string
              enum:
                - none
                - minimal
                - low
                - medium
                - high
                - xhigh
                - max
            - type: 'null'
          title: Reasoning Effort
          description: Reasoning effort. Null keeps the model's default.
        available:
          type: boolean
          title: Available
          description: >-
            Whether a chat turn would use this selection now. Chats with an
            unavailable profile use the tenant default model.
        can_update:
          type: boolean
          title: Can Update
          description: Whether the caller can update the profile.
        can_delete:
          type: boolean
          title: Can Delete
          description: Whether the caller can delete the profile.
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of a custom profile.
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of a custom profile.
      type: object
      required:
        - id
        - name
        - description
        - system
        - provider
        - model
        - reasoning_effort
        - available
        - can_update
        - can_delete
        - created_at
        - updated_at
      title: LlmProfile
      description: A system or custom LLM profile.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LlmProvider:
      type: string
      enum:
        - OpenAI
        - Google
        - Altirnao
        - MistralAI
        - Anthropic
      title: LlmProvider
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.